Skip to content
Docs

HELOC Inquiries/Documents

List documents

GET/products/heloc/v1/document/{appUuid}/list
Request
curl -X GET \
  "https://api.test.figure.com/products/heloc/v1/document/{appUuid}/list" \
  -H "apikey: $FIGURE_API_KEY"

Path parameters

  • appUuidstringRequired

Responses

200OKobject

  • documentsarray of objectsRequired
    ShowHide 4 attributes of documents
    • documentUuidstringRequired
    • fileNamestringRequired
    • docTypestringRequired
    • contentTypestringRequired
  • messagesarray of objects
    ShowHide 2 attributes of messages
    • levelstringRequired
    • messagestringRequired
Response
{
  "messages": [
    {
      "level": "string",
      "message": "string"
    }
  ],
  "documents": [
    {
      "documentUuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
      "fileName": "string",
      "docType": "string",
      "contentType": "string"
    }
  ]
}